<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/08/2008 *
 * ===================                          Last change: 09/08/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-unlock_surfbar_urls.php                     *
 * -------------------------------------------------------------------- *
 * Short description : Unlock pending URLs for surfbar                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Wartende URLs in der Surfbar freigeben           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Is the form sent?
if ((isPostRequestElementSet('unlock')) && (is_array(postRequestElement('url_id'))) && (count(postRequestElement('url_id')) > 0)) {
	// Unlock selected URLs
	if (SURFBAR_ADMIN_UNLOCK_URL_IDS(postRequestElement('url_id'))) {
		// Unlock done! :-)
		displayMessage('{--ADMIN_SURFBAR_UNLOCK_DONE--}');
	} else {
		// Unlock failed!
		displayMessage('{--ADMIN_SURFBAR_UNLOCK_FAILED--}');
	}
} elseif ((isPostRequestElementSet('reject')) && (is_array(postRequestElement('url_id'))) && (count(postRequestElement('url_id')) > 0)) {
	// Reject selected URLs
	if (SURFBAR_ADMIN_REJECT_URL_IDS(postRequestElement('url_id'))) {
		// Unlock done! :-)
		displayMessage('{--ADMIN_SURFBAR_UNLOCK_DONE--}');
	} else {
		// Unlock failed!
		displayMessage('{--ADMIN_SURFBAR_UNLOCK_FAILED--}');
	}
}

// List all pendingURLs
showEntriesByXmlCallback('admin_unlock_surfbar_urls');

// [EOF]
?>
